local ClosetGnomeSets = {}
do
   local sets = ClosetGnome.db.char.sets
   for setName, set in pairs(sets) do
      ClosetGnomeSets[setName] = {name = setName}
   end
end
Luggage:RegisterFilter("ClosetGnome", {
   name = "ClosetGnome",
   tooltipText = L["Filter by ClosetGnome Set"],
   values = ClosetGnomeSets,
   func = function(bag, itemTable, setName)
      local set = ClosetGnome.db.char.sets[setName]
      for _, itemLink in pairs(set) do
         if itemLink == itemTable.link then
            return true
         end
      end
   end,
})